class Mp3val < Formula
  desc "Program for MPEG audio stream validation"
  homepage "https://mp3val.sourceforge.io/"
  url "https://downloads.sourceforge.net/project/mp3val/mp3val/mp3val%200.1.8/mp3val-0.1.8-src.tar.gz"
  sha256 "95a16efe3c352bb31d23d68ee5cb8bb8ebd9868d3dcf0d84c96864f80c31c39f"
  license "GPL-2.0"

  # Apply this upstream commit to fix build on Linux:
  # https://sourceforge.net/p/mp3val/subversion/95/
  # Remove with next release.
  patch :DATA

  def install
    system "make", "-f", "Makefile.gcc"
    bin.install "mp3val.exe" => "mp3val"
  end

  test do
    mp3 = test_fixtures("test.mp3")
    assert_match(/Done!$/, shell_output("#{bin}/mp3val -f #{mp3}"))
  end
end

__END__
diff --git a/crossapi.cpp b/crossapi.cpp
index cd8011a..fd586e1 100755
--- a/crossapi.cpp
+++ b/crossapi.cpp
@@ -241,7 +241,7 @@ int CrossAPI_MoveFile(char *szNewName,char *szOldName) {
 //Moving failed due to different logical drives of source and destination. Let's copy:
 	id=open(szOldName,O_RDONLY);
 	if(id==-1) return 0;
-	od=open(szNewName,O_WRONLY|O_CREAT|O_TRUNC);
+	od=open(szNewName,O_WRONLY|O_CREAT|O_TRUNC, S_IRUSR|S_IWUSR);
 	if(od==-1) {
 		close(id);
 		return 0;
